#include "StdAfx.h"
#include "resource.h"
#include "util.h"

BOOL CALLBACK StartDlgProc( HWND hwndDlg, // handle to dialog box
                          UINT uMsg, // message
						  WPARAM wParam, // first message parameter
						  LPARAM lParam )// second message parameter
{
	switch( uMsg )
	{
		static HWND hWndInstallButton;
		static HWND hWndUninstallButton;
		static HWND hWndInstallMessage;

		case WM_INITDIALOG:
			hWndInstallButton = GetDlgItem( hwndDlg, IDC_BUTTON_INSTALL );
			hWndUninstallButton = GetDlgItem( hwndDlg, IDC_BUTTON_UNINSTALL );
			hWndInstallMessage = GetDlgItem( hwndDlg, IDC_STATIC_BAKOMA_CHECK );
			SetWindowPos( hwndDlg, HWND_TOPMOST, 100, 100, 0, 0, SWP_NOSIZE );
			if( IsInstalledBaKoMa() == TRUE )
			{
				EnableWindow( hWndInstallButton, FALSE );
				SetWindowText( hWndInstallMessage, "BaKoMatHg̓CXg[ς݂łB\n"
					"ACXg[̂݉\łB" );
			}
			else
			{
				EnableWindow( hWndUninstallButton, FALSE );
				SetWindowText( hWndInstallMessage, "BaKoMatHg̓CXg[Ă܂B\n"
					"CXg[s\łB" );
			}
			return TRUE;
		case WM_COMMAND:
			switch( wParam )
			{
				case IDC_BUTTON_INSTALL: // "CXg["
					EndDialog( hwndDlg, INSTALL );
					return TRUE;
				case IDC_BUTTON_UNINSTALL: // "ACXg["
					EndDialog( hwndDlg, UNINSTALL );
					return TRUE;
				case IDCANCEL:
					EndDialog( hwndDlg, 0 );
					return TRUE;
			}
			break;
	}
	return FALSE; // not processed.
}
